открыть корзину: фатальная ошибка: класс 'Mysqli' строка 7

открыть корзину: фатальная ошибка: класс 'Mysqli' строка 7

08.07.2015 02:03:00 Просмотров 65 Источник

Кто-нибудь может мне помочь? у меня есть проблема для установки OpenCart в Cpanel с Softacolous, когда я закончу установку и во время открытия сайта у меня есть сообщение :

Fatal error: Class 'mysqli' not found in /home/radiance/public_html/shoukhin/system/library/db/mysqli.php on line 7

==информация==: открытая тележка: Версия: 2.0.3.1, 1.5.6.4
Дата Выхода: 29-05-2015

Что-нибудь еще, чтобы решить или получить ответ? Кто-нибудь там, чтобы решить эту проблему?

Заранее спасибо.

Азад

У вопроса есть решение - Посмотреть?

https://stackoverflow.com/questions/31290770/open-cart-fatal-error-class-mysqli-line-7#comment50581465_31290770
версия PHP? имя и версия веб-сервера ?
https://stackoverflow.com/questions/31290770/open-cart-fatal-error-class-mysqli-line-7#comment50596171_31290770
Пожалуйста, см. Это изображение на ссылке для деталей сервера, которые у меня есть: ссылка что-нибудь еще? я пока не решаю эту проблему.

Ответы - открыть корзину: фатальная ошибка: класс 'Mysqli' строка 7 / open cart: Fatal Error : Class 'Mysqli' Line 7

kit

07.11.2015 07:20:55

Пожалуйста, установите mysqliна свой сервер centos .

Для установки mysqli с помощью EachApache:

  1. Войдите в WHM как пользователь root.
  2. Либо найдите "EasyApache" , либо перейдите в раздел программное обеспечение > EasyApache
  3. Прокрутите вниз и выберите вариант сборки (ранее сохраненная конфигурация)
  4. Нажмите кнопку Пуск "начать настройку на основе профиля"
  5. Выберите версию Apache и нажмите кнопку "Далее".
  6. Выберите версию PHP и нажмите кнопку "Далее".
  7. Выберите Дополнительные опции в "коротком списке опций"
  8. Выберите " исчерпывающий список опций "и найдите" MySQL Improved extension"
  9. Нажмите кнопку " Сохранить и построить"
Mayor

24.10.2019 02:52:14

Установите следующие расширения php:

Локон ЗАСТЕЖКА-МОЛНИЯ Библиотека zlib Библиотека GD Mcrypt Mbstrings XML

Ошибка должна идти, если расширения доступны на сервере. Я надеюсь, что это решит вашу проблему и всех, кто сталкивается с подобной проблемой. В большинстве случаев ошибка не от oc, это ошибка сервера из-за необходимых модулей OC, которые недоступны.

Не забудьте перезапустить apache2 после установки модулей.

Проверьте это, если это решает вашу проблему.

Закрыть X